package com.goafanti.common.dao;

import com.goafanti.common.model.ErnieBotCommon;

import java.util.List;

public interface ErnieBotCommonDao {
    int deleteByPrimaryKey(Integer id);

    int insert(ErnieBotCommon record);

    int insertSelective(ErnieBotCommon record);

    ErnieBotCommon selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ErnieBotCommon record);

    int updateByPrimaryKey(ErnieBotCommon record);

    List<ErnieBotCommon> selectAll(Integer count);
}
